Categories:
Aura Authentication API endpoints
Description of Aura Authentication API endpoints, categorized by how they can be accessed or by their usage
Endpoints by access
aura-authentication-api counts on:
- Internal endpoints: they are only allowed to APIKeys generated for aura-groot/aura-bot.
- Public endpoints: they are publicly open and all valid APIKeys for the current environment can access them.
- Endpoints published in Kernel, i.e. they are publicly open but they are only allowed to APIKeys generated for Kernel. Read Aura Services API published in Kernel for further information.
The following section explains every endpoint, showing whether it is internal, public, Kernel or a mix.
Endpoints by usage
Register new users
GET /users/aura-id: Endpoint published in Kernel, used by Aura Channels that handle their own authentication mechanisms. They must call this endpoint to get a valid authenticated Aura user to start a conversation. This method retrieves the already existing user if the data sent exists or create a new user with the data, otherwise. Authorized by APIKey.GET /users/aura-id/{auraId}: Internal method used only by aura-groot/aura-bot in order to create a new user when theauraIdis based on the external service authentication, such as for WhatsApp users. Authorized by APIKey.GET /users/auraid/integrated: Endpoint used as callback during non-integrated authentication request. This endpoint is used by Aura clients account linking process without integrated authentication. It is called by Kernel after creating the authentication session, to add the Aura user record. No authorization header. Validation done by a ciphered query param.
Remove users
DELETE /admin/users/phone-numbers/{phone_number}: Endpoint published in Kernel, used by OB administrators to fulfill GDPR and remove users by phone number that are not longer Telefonica’s customers. Authorized by APIKey.GET /users/auraid/integrated/logout: Public endpoint used as callback during non-integrated logout request. This endpoint is used by Aura clients account unlinking process without integrated authentication. It is called by Kernel after removing the authentication session, to remove the Aura user record. No authorization header. Validation done by a ciphered queryparam.DELETE /users/{auraId}: Internal and also published in Kernel endpoint used by aura-bot and the non-integrated channels, to remove the information of an already logged in Aura user. Authorized by APIKey.
Gather users’ information
GET /users/{auraId}: Internal endpoint used by aura-groot/aura-bot to get and validate the information of an already logged in Aura user. Authorized by APIKey.GET /users/aura-id-global/{aura_id_global}: Endpoint published in Kernel, used to get the last validauraIdfor the channel, generated for the givenauraIdGlobal. Authorized by APIKey.
Retrieve a valid Direct Line token from the current Aura Bot instance and start a conversation with it
GET /token: Public endpoint used by Aura channels accessing by Direct Line, to get a valid Direct Line-Token to access the bot in the selected environment. This endpoint just returns thetokenand its expiration time. Authorized by APIKey.GET /token/wss: Public endpoint used by Aura channels accessing by Direct Line, to get a valid Direct Line-Token to access the bot in the selected environment. This endpoint returns thetoken, the websocket stream URL, the expiration time and some other fields returned by Direct Line API. Authorized by APIKey.
Public key (no APIKey)
GET /openid/issuer/.well-known/openid-configuration: Public endpoint to get the public key URL of aura-groot/aura-bot.GET /openid/jwk: Public endpoint to get the public key configuration of aura-groot/aura-bot. Used to validate the requests signed with aura-groot/aura-bot private key.
Monitoring methods
GET /healthz: Internal health check endpoint to validate the server status by the Kubernetes cluster. No authorization header needed.GET /ping: Endpoint published in Kernel to validate the server status.
Configuration method
GET /config: Public endpoint to return the name of the Azure Storage subdomain.
Metrics method
GET /metrics: Public endpoint where Prometheus requests the metrics.
Last modified November 11, 2025: feat: Clean up of Living Apps related stuff #AURA-30761 [RTM] (c97ca748)